use strict;
use warnings;
use autodie;

use Test::More tests => 9;

use Data::Dumper;


use Stanford::LDAP::EntriesDB;

my $entryDB = Stanford::LDAP::EntriesDB->new();
ok($entryDB);

$entryDB->create_db();
$entryDB->read_entries(10);

my @entries;
{
    no warnings 'qw';
@entries = qw/
suRegID=24917697b2774506a43a055c7a6d29c3,cn=people,dc=stanford,dc=edu
suRegID=7ce9dc9ee76811d1b75c2436000baa77,cn=people,dc=stanford,dc=edu
suRegID=1739580332594858a2537d6400310289,cn=people,dc=stanford,dc=edu
suRegID=11ae774ee76511d196c32436000baa77,cn=people,dc=stanford,dc=edu
/;
}

$entryDB->write_array(\@entries);
ok ($entryDB->number_rows() == 4);

my @results = $entryDB->read_entries(10);
ok(scalar(@results) == 4);

# Delete 2 of the entries.
my @entries_to_delete = ();
my ($id, $dn);

($id, $dn) = @{ $results[0] };
ok ($id >= 1);
ok ($id < 100);
push(@entries_to_delete, $id);

($id, $dn) = @{ $results[2] };
ok ($id >= 1);
ok ($id < 100);
push(@entries_to_delete, $id);

$entryDB->delete_entries(\@entries_to_delete);
ok ($entryDB->number_rows() == 2);

@results = $entryDB->read_entries(10);
ok(scalar(@results) == 2);

